org.apache.cassandra.io.util

## Interface FileDataInput

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, java.io.DataInput

All Known Implementing Classes:
  ByteBufferDataInput, ChecksummedRandomAccessReader, CompressedRandomAccessReader, CompressedThrottledReader, RandomAccessReader, ThrottledReader

    public interface FileDataInput
    extends java.io.DataInput, java.io.Closeable

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `bytesPastMark(FileMark mark)`
`long` `bytesRemaining()`
`long` `getFilePointer()`
`java.lang.String` `getPath()`
`boolean` `isEOF()`
`FileMark` `mark()`
`java.nio.ByteBuffer` `readBytes(int length)` Read length bytes from current file position
`void` `reset(FileMark mark)`
`void` `seek(long pos)`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### getPath

    java.lang.String getPath()

#### isEOF

    boolean isEOF()
           throws java.io.IOException

Throws:
  `java.io.IOException`

#### bytesRemaining

    long bytesRemaining()
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### seek

    void seek(long pos)
       throws java.io.IOException

Throws:
  `java.io.IOException`

#### mark

    FileMark mark()

#### reset

    void reset(FileMark mark)
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### bytesPastMark

    long bytesPastMark(FileMark mark)

#### getFilePointer

    long getFilePointer()

#### readBytes

    java.nio.ByteBuffer readBytes(int length)
                           throws java.io.IOException

Read length bytes from current file position

Parameters:
  `length` - length of the bytes to read
Returns:
  buffer with bytes read
Throws:
  `java.io.IOException` - if any I/O operation failed